%define version 0.9.14
%define release 1mdk

Summary:	Dr. Geo is an interactive geometry software
Name:		drgeo
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
URL:		http://www.ofset.org/drgeo/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Source1:	gnome-drgenius.png

BuildRequires:	ImageMagick
BuildRequires:	guile-devel
BuildRequires:	libxml2-devel
BuildRequires:	libglade2.0-devel

%description
Dr. Genius is the GNOME interactive geometry software. It allows one to
create geometric figure plus the interactive manipulation of such figure
in respect with their geometric constraints. It is usable in teaching
situation with students from primary or secondary level.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/drgeo" \
 icon="gnome-drgenius.png" \
 longtitle="Dr.Geo Math Tool" \
 needs="x11" \
 section="Applications/Sciences/Mathematics" \
 title="Dr.Geo" \
 startup_notify="yes"
_EOF_

# icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir}
install -m 0644 -D      %{SOURCE1} %{buildroot}%{_liconsdir}/gnome-drgenius.png
convert -geometry 32x32 %{SOURCE1} %{buildroot}%{_iconsdir}/gnome-drgenius.png
convert -geometry 16x16 %{SOURCE1} %{buildroot}%{_miconsdir}/gnome-drgenius.png

# TeXmacs was supposed to locate in another directory for MDK
pushd %{buildroot}%{_datadir}
mv texmacs/TeXmacs ./
rmdir texmacs
popd

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/TeXmacs/plugins/drgeo
%{_menudir}/%{name}
%{_iconsdir}/gnome-drgenius.png
%{_miconsdir}/gnome-drgenius.png
%{_liconsdir}/gnome-drgenius.png

%changelog
* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.14-1mdk
- 0.9.14

* Wed Jun 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.13-1mdk
- 0.9.13

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.12-1mdk
- 0.9.12

* Wed Nov 26 2003 Abel Cheung <deaddog@deaddog.org> 0.9.11-1mdk
- 0.9.11
- Get back .desktop icon from CVS

* Sat Oct 25 2003 Abel Cheung <deaddog@deaddog.org> 0.9.10-1mdk
- 0.9.10
- examples already in $datadir, so don't include it in %%doc

* Mon Sep 22 2003 Abel Cheung <deaddog@deaddog.org> 0.9.9-1mdk
- 0.9.9

* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 0.9.8-2mdk
- distlint fixes

* Mon Aug 25 2003 Abel Cheung <maddog@linux.org.hk> 0.9.8-1mdk
- 0.9.8

* Sat Aug 16 2003 Abel Cheung <maddog@linux.org.hk> 0.9.7-1mdk
- First Mandrake spec
